CrossOver Linux 9 (codenamed Snow Mallard) and its Mac brother, CrossOver Mac 9, let you run many popular Windows applications on Linux or Mac OS X. Supported Windows applications include Microsoft Office (from Office 97 to Office 2007), Internet Explorer 6 and 7, Outlook 2002 to 2007, all current versions of Quicken up to 2010 and QuickBooks up to 2004, and some versions of Photoshop and Photoshop CS. Based on my experience with CrossOver, which goes back more than a decade, I'd say this new version supports about 20% more applications (at a level that most users would find usable) than the last one.

CrossOver is based on the open source project Wine, an implementation of the Windows API on top of the Unix/Linux operating system family. Wine is a mature project involving almost 17 years of work to get Windows applications to run on Unix and Linux systems.

Actually, you don't need CrossOver Linux to run Windows applications on Linux. You can do it with Wine alone, if you know exactly what you're doing. What CrossOver brings to the table is automated installation of Windows applications, and technical support. And in this latest version, the CrossOver interface has been improved so it's easier than ever to install and manage Windows applications.

Installing CrossOver

To see how well CrossOver Linux 9 does its job, I tested it on two systems. The first was a Dell Inspiron 530S powered by a 2.2-GHz Intel Pentium E2200 dual-core processor with an 800-MHz front-side bus. The machine had 4GB of RAM, a 500GB SATA drive and an integrated Intel 3100 GMA chip set. It was running the Debian-based MEPIS 8 desktop Linux distribution.

CrossOver Linux

I also tried CrossOver 9 on an older Gateway 503GR with a 3-GHz Pentium 4 CPU, 2GB of RAM, an ATI Radeon 250 graphics card and a 300GB SATA drive. It was running Ubuntu 9.10.

Both systems had more than enough horsepower to run multiple Windows and Linux applications simultaneously. In fact, CodeWeavers claims that any 32-bit system that runs at 200 MHz can run CrossOver. (The program will run on a 64-bit system, but only if it has the 32-bit compatibility library installed. So even the 64-bit version is really a 32-bit application platform.)

CrossOver also requires that your Linux include Glibc 2.3.x or greater and X11R6 3.3 or greater. XFree86 4 with XRender and FreeType support is recommended. In short, CrossOver will run on any modern Linux distro on almost any PC.

There are several ways to install CrossOver. CodeWeavers recommends that you use its installation shell script, but if you'd rather use your Linux desktop's installation program, CrossOver also comes in RPM versions for Red Hat, Fedora and openSUSE, and DEB editions for Debian and the Ubuntu family. They both work just fine.

The one problem I found is that there's no upgrade path if you already have an earlier version of CrossOver Linux installed. I had to manually uninstall my older edition of CrossOver before I could put in the new program. CrossOver includes an uninstall option, so that wasn't a problem, but the instructions don't tell you that you'll need to zap your old version before installing the new one.